harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexey Petrenko" <alexey.a.petre...@gmail.com>
Subject Re: [doc] new header dependency in awt on Linux - x11proto-xext-dev
Date Fri, 18 Jan 2008 14:57:10 GMT
18 Jan 2008 17:47:44 +0300, Egor Pasko <egor.pasko@gmail.com>:
> On the 0x3CF day of Apache Harmony Gregory Shimansky wrote:
> > Egor Pasko said the following on 18.01.2008 14:04:
> > > Dear website gurus,
> > > please, add another need-to-install package "x11proto-xext-dev" to
> > > the
> > > "Getting Started For Contributors" page ([1], [2]) right after the
> > > "libxml2-dev". This is a new dependency introduced after commit of the
> > > HARMONY-5394.
> >
> > Which header does it actually require? I built class library on SLES
> > and Gentoo after HARMONY-5394 and I didn't install any additional
> > packages. So this x11proto-xext-dev package is probably specific to
> > the distro that you are using (Ubuntu?).
>
> Ubuntu, you knew that :)
>
> > In the docs it should be written that if some header ... is not
> > present, it the package x11proto-xext-dev should be installed,
> > otherwise it may confuse people who are using distros that provide
> > this header in other package.
> Igor Stolyarov said in FC it is the same, Debian has the same. Why
> bother? gentoo? :)
Hmm... I do not have such package installed on my FC7...
These two packages looks like include this library on my box:
libXext-devel-1.0.1-2.1
libXext-1.0.1-2.1

SY, Alexey

Mime
View raw message